import { createRouter, createWebHistory } from "vue-router";
import MainPage from "../layouts/MainPage/MainPage.vue";
import Login from "../views/Login/Login.vue";
import Page404 from "../views/404/index.vue";
import UserLayout from "@/layouts/UserLayout/UserLayout.vue";

const router = createRouter({
    history: createWebHistory(import.meta.env.BASE_URL),
    routes: [
        {
            path: "/",
            component: MainPage,
            children: [
                {
                    path: "404",
                    name: "404",
                    component: Page404,
                },
            ],
        },
        {
            path: "",
            component: UserLayout,
            children: [
                {
                    path: "/login",
                    name: "login",
                    component: Login,
                },
                {
                    path: "/register",
                    name: "register",
                    component: () => import("@/views/Register/Register.vue"),
                },
                {
                    path: "/changePassword",
                    name: "changePassword",
                    component: () => import("@/views/ChangePassword/ChangePassword.vue"),
                },
            ],
        },
    ],
});

export default router;
